Create

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

🚧

Roles

manager

Managers can create other users including managers. Once a new user is created it can authenticate to the system using its own userId and tenantId - ApiKey pair.

When the user is created it is allocated a new user id (the id in the JSON response)

🚧

role

User's role can be set only when user created and cant be changed later.

Creating subscribers requires providing additional parameters:

webhookUrl - it is the URL of the subscriber's Webhook which handles events. This server has to be accessible through the internet. More info is provided in Handling Events

events - a list of event masks the subscriber wants to observe. ["patient.*"] will send all events with names beginning with the "patient." prefix.

secret - is a code string that is used to create a verification signature for the message body sent to a Webhook. See Handling Events for more details

🚧

secret

The secret can be set only when user is created and it can not be changed or read by any other API call. Pay attention to set it when you crete a new subscriber and store it in a safe place.

Body Params
string
enum
required

Users role

Allowed:
string

User's name

string

The url of the webhook. Only for subscriber

events
array of strings

This field is used only for subscriber to specify a list of events of interest

events
string

This field only for subscribers. Used to verify data in webhook

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json